Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356488 - Edit VM Pool show wrong storage domain
Summary: Edit VM Pool show wrong storage domain
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
medium
high vote
Target Milestone: ovirt-4.0.2
: 4.0.2
Assignee: Shahar Havivi
QA Contact: sefi litmanovich
URL:
Whiteboard:
Depends On: 1356492
Blocks: 1081536
TreeView+ depends on / blocked
 
Reported: 2016-07-14 09:04 UTC by Shahar Havivi
Modified: 2016-08-16 04:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, a new option been added to the options for a virtual machine pool for disk storage. This option allows the user to select Auto Select Disk Target, instead of a specific domain. This means that every new virtual machine in the pool will use the storage domain with the most available space.
Clone Of:
Environment:
Last Closed: 2016-08-12 14:24:13 UTC
oVirt Team: Virt
rule-engine: ovirt-4.0.z+
rule-engine: planning_ack+
tjelinek: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 60713 master MERGED Edit VM Pool always shows the first storage domain 2016-07-19 06:46:24 UTC
oVirt gerrit 61003 ovirt-engine-4.0 MERGED Edit VM Pool always shows the first storage domain 2016-07-19 08:40:54 UTC

Description Shahar Havivi 2016-07-14 09:04:09 UTC
If template exists in more then one storage domain, edit vm pool always points to the first logical storage domain. (edit pool->resource allocation->disks allocation).

When increase VMs to the pool the disks will be allocated always in the first logical storage domain.

Comment 1 Red Hat Bugzilla Rules Engine 2016-07-14 09:04:47 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 2 sefi litmanovich 2016-08-02 08:56:15 UTC
Verified with rhevm-4.0.2.3-0.1.el7ev.noarch.

1. Have 2 SDs in DC.
2. Created template.
3. Copied template disk to 2nd SD.
4. Created vm pool: in resource allocation->disks allocation choose the 2nd logical SD.
5. Edit vm pool: increase by 1 vm, verified that in 'esource allocation->disks allocation' the SD is still the 2nd.
6. Verified the new vm was created under the 2nd SD.


Note You need to log in before you can comment on or make changes to this bug.